﻿@Html.DevExpress().DropDownEdit(
    settings => {
        settings.Name = "checkComboBoxCreate";
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.Properties.DropDownWindowStyle.BackColor = System.Drawing.Color.FromArgb(0xEDEDED);

        settings.SetDropDownWindowTemplateContent(c =>
        {
            @Html.RenderPartial("PartialSupplierGridCreate");
            ViewContext.Writer.Write("<table style=\"width:100%\"><tr><td align=\"right\">");
			 @Html.DevExpress().Button(
                buttonSettings => {
                    buttonSettings.Name = "buttonCancelCreate";
                    buttonSettings.Text = "Cancel";
                    buttonSettings.Style.Add("float", "right");
                    buttonSettings.ClientSideEvents.Click = "function(s, e){ checkComboBox.HideDropDown(); }";
                }
            )
            .Render();
            @Html.DevExpress().Button(
                buttonSettings => {
                    buttonSettings.Name = "buttonOKCreate";
                    buttonSettings.Text = "OK";
                    buttonSettings.Style.Add("float", "right");
                    buttonSettings.ClientSideEvents.Click = "function(s, e){ checkComboBox.HideDropDown(); }";
                }
            )
            .Render();
            ViewContext.Writer.Write("</td></tr></table>");
        });
        
        settings.Properties.EnableAnimation = false;
        //settings.Properties.ClientSideEvents.TextChanged="SynchronizeListBoxValues";
        //settings.Properties.ClientSideEvents.DropDown = "SynchronizeListBoxValues";
    }
).GetHtml()